%define pkgname %(echo %name | cut -d- -f2-)
Name:          pycxx
Version:       7.1.7
Release:       1mamba
Summary:       A set of C++ facilities to make it easier to write Python extensions
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://cxx.sourceforge.net/
Source:        http://prdownloads.sourceforge.net/cxx/pycxx-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/CXX \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{python3_sitearch}/CXX-%{version}-py*.egg-info

%changelog
* Tue May 31 2022 Automatic Build System <autodist@mambasoft.it> 7.1.7-1mamba
- automatic version update by autodist

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.5-1mamba
- package created using the webbuild interface
